Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/apache2-mod-perl: upgrade to 2.0.10

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 15 Feb 2017 13:59:31 +0200

--
- remove unused patch
- remove obsoletes from config
- cleanups in APKBUILD
- mp2bug binary and development text-data moved to -dev
---
the same previous patch I posted from root by mistake
---
 testing/apache2-mod-perl/APKBUILD              | 63 ++++++++++++--------------
 testing/apache2-mod-perl/apache2-mod-perl.conf |  3 --
 2 files changed, 28 insertions(+), 38 deletions(-)
diff --git a/testing/apache2-mod-perl/APKBUILD b/testing/apache2-mod-perl/APKBUILD
index 018dea5c27..7cfb23981f 100644
--- a/testing/apache2-mod-perl/APKBUILD
+++ b/testing/apache2-mod-perl/APKBUILD
_at_@ -3,58 +3,51 @@
 # Maintainer: Matt Smith <mcs_at_darkregion.net>
 pkgname=apache2-mod-perl
 _pkgreal=mod_perl
-pkgver=2.0.9
-pkgrel=4
+pkgver=2.0.10
+pkgrel=0
 pkgdesc="Perl Module for Apache2"
 url="http://perl.apache.org/"
 arch="all"
 license="ASL 2.0"
 depends="apache2"
 depends_dev="$pkgname"
-makedepends="$depends_dev apache2-dev perl-dev perl-linux-pid apr-dev apr-util-dev"
+makedepends="apache2-dev perl-dev perl-linux-pid apr-dev apr-util-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-dev"
-source="http://www.eu.apache.org/dist/perl/$_pkgreal-$pkgver.tar.gz
-	https://rt.cpan.org/Ticket/Attachment/1564180/834925/Perl-5.22-compatibility-take-4.patch
+source="http://www-eu.apache.org/dist/perl/$_pkgreal-$pkgver.tar.gz
 	$pkgname.conf"
-
-_builddir="$srcdir"/${_pkgreal}-${pkgver}
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; [ ! -f "$srcdir"/$i ]; patch -p$? -i "$srcdir"/${i##*/} || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 build() {
-	cd "$_builddir"
-	make source_scan
-	make xs_generate
-
-	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor \
-		MP_CCOPTS=-fgnu89-inline \
-		MP_APXS=/usr/bin/apxs \
-		MP_APR_CONFIG=/usr/bin/apr-1-config || return 1
+	cd "$builddir"
+	perl Makefile.PL \
+		INSTALLDIRS=vendor \
+		MP_APXS=/usr/bin/apxs || return 1
 	make || return 1
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
-	rm -fr "$pkgdir"/usr/bin
 	install -Dm644 "$srcdir"/$pkgname.conf \
-		"$pkgdir"/etc/apache2/conf.d/$_pkgreal.conf || return 1
+		"$pkgdir"/etc/apache2/conf.d/$_pkgreal.conf
+}
+
+dev() {
+	default_dev || return 1
+
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr || return 1
+
+	mkdir -p "$subpkgdir"/usr/lib/perl5/vendor_perl/auto/Apache2 || return 1
+	mv "$pkgdir"/usr/lib/perl5/vendor_perl/auto/Apache2/Build \
+		"$pkgdir"/usr/lib/perl5/vendor_perl/auto/Apache2/typemap \
+		"$subpkgdir"/usr/lib/perl5/vendor_perl/auto/Apache2 ||return 1
 }
 
-md5sums="fdab9a145bf35f54fce997c96c76f8e2  mod_perl-2.0.9.tar.gz
-915c1a857cf68ccb9b7daf1ffa59669a  Perl-5.22-compatibility-take-4.patch
-86b84bb56b49a95772a7f773fc019043  apache2-mod-perl.conf"
-sha256sums="0260f26ab771c1c95fadc67544b3400e420bb30b8a77565d2d02ad05498ef52b  mod_perl-2.0.9.tar.gz
-2921ff2d634eb0da4072314e3189ba54dd11e0fc0360509e6e0408eb24f9e09e  Perl-5.22-compatibility-take-4.patch
-92dfc84c1506f34fc55cb65f4f2b0399254d811a03c5bcea1e6cf010e60a5227  apache2-mod-perl.conf"
-sha512sums="421d385f0d5d04cbe8c1e9559960eea86a017fa1bed88e614009143550baf852e2345001faff1fb849d9b3e6383786e0011f45ebc3e7d26ad57651fbad4e2f2c  mod_perl-2.0.9.tar.gz
-0a9392ecc5d6e8f2ed82142dcb18895e44dbcb9e3fd04cc3564e87ddf33372a8ab6dff0dbc3a678c48595eb112b2aaa7867920aaf7bb92afc6a969896aeb1660  Perl-5.22-compatibility-take-4.patch
-716650058af077b0494833301f3dfdf517499bdb2021427431cacc7f63e5fe520cd6f5f7daee44bed15e257c9a2d1fb7d18a75954455fa894dd24a8ef32af50b  apache2-mod-perl.conf"
+md5sums="cef55e715b5770a63b3becbe9d271121  mod_perl-2.0.10.tar.gz
+326cad2b2324c4a59fde4c232e8465b1  apache2-mod-perl.conf"
+sha256sums="d1cf83ed4ea3a9dfceaa6d9662ff645177090749881093051020bf42f9872b64  mod_perl-2.0.10.tar.gz
+02b359afff4da0c4a94cc2c253505f301f8b4fca5a14655fdd846f07cbd33530  apache2-mod-perl.conf"
+sha512sums="0bf1a885cb32a3393e95f87e71983097613e263b9052dbf22494663b506e36a25d0256afed24285232276d9f43ebd3adaa18b91129bfb62116a8ccb023855bca  mod_perl-2.0.10.tar.gz
+15a430ce597e370997a08d6aa1b5e55d4fa723ecac031fe39906c8cc767b90d5bf63e3026dfaa8b10ae8b09a17832f4f07cb8b2fdcd6c9ef427edfaf4e8a48b0  apache2-mod-perl.conf"
diff --git a/testing/apache2-mod-perl/apache2-mod-perl.conf b/testing/apache2-mod-perl/apache2-mod-perl.conf
index c1a75c76ff..b33be951c8 100644
--- a/testing/apache2-mod-perl/apache2-mod-perl.conf
+++ b/testing/apache2-mod-perl/apache2-mod-perl.conf
_at_@ -1,8 +1,5 @@
 LoadModule perl_module modules/mod_perl.so
 
-# For mod_perl 1.0 compatibility, uncomment:
-#PerlModule Apache2::compat
-
 <Location /cgi-bin>
     AddHandler perl-script .pl
     PerlResponseHandler ModPerl::Registry
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 15 2017 - 13:59:31 GMT